### Enumeration

# Gtk CssParserWarning

#### Declaration

    enum Gtk.CssParserWarning

#### Description [src]

Warnings that can occur while parsing CSS.

Unlike `GtkCssParserError`s, warnings do not cause the parser to skip any input, but they indicate issues that should be fixed.

#### Members

Name | Description
--- | ---
`GTK_CSS_PARSER_WARNING_DEPRECATED` | The given construct is deprecated and will be removed in a future version.
`GTK_CSS_PARSER_WARNING_SYNTAX` | A syntax construct was used that should be avoided.
`GTK_CSS_PARSER_WARNING_UNIMPLEMENTED` | A feature is not implemented.